---
title: SVGStylable
slug: Web/API/SVGStylable
tags:
  - API
  - NeedsExample
  - Reference
  - Référence(2)
  - SVG
  - SVG DOM
---
<div>{{obsolete_header}}{{APIRef("SVG")}}</div>

<p>The <code>SVGStylable</code> interface is implemented on all objects corresponding to SVG elements that can have {{ SVGAttr("style") }}, {{SVGAttr("class")}} and presentation attributes specified on them.</p>

<h3 id="Interface_overview">Interface overview</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Also implement</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Methods</th>
   <td>
    <ul>
     <li>{{ domxref("CSSValue") }} <code>getPresentationAttribute(in {{ domxref("DOMString") }} name)</code></li>
    </ul>
   </td>
  </tr>
  <tr>
   <th scope="row">Properties</th>
   <td>
    <ul>
     <li>readonly {{ domxref("SVGAnimatedString") }} <code>className</code></li>
     <li>readonly {{ domxref("CSSStyleDeclaration") }} <code>style</code></li>
    </ul>
   </td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/types.html#InterfaceSVGStylable">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Name</th>
   <th>Type</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>className</code></td>
   <td>{{ domxref("SVGAnimatedString") }}</td>
   <td>Corresponds to attribute {{ SVGAttr("class") }} on the given element.</td>
  </tr>
  <tr>
   <td><code>style</code></td>
   <td>{{ domxref("CSSStyleDeclaration") }}</td>
   <td>Corresponds to attribute {{ SVGAttr("style") }} on the given element.</td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Name &amp; Arguments</th>
   <th>Return</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code><strong>getPresentationAttribute</strong>(in {{ domxref("DOMString") }} <em>name</em>)</code></td>
   <td>{{ domxref("CSSValue") }}</td>
   <td>Returns the base (i.e., static) value of a given presentation attribute as an object of type {{ domxref("CSSValue") }}. The returned object is live; changes to the objects represent immediate changes to the objects to which the {{ domxref("CSSValue") }} is attached.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGStylable")}}</p>
